IBM Support

Detailed System Requirements for Dynamic Workload Console version 9.2

Detailed system requirements


Abstract

This document details the system requirements for Dynamic Workload Console, version 9.2.

Content

This document provides details of the system requirements for Dynamic Workload Console on all supported operating systems.

The topics included are:

To download the Dynamic Workload Console electronic images go to the Dynamic Workload Console download page.

To view the Release Notes, go to the Release Notes page.

To access the Tivoli Workload Scheduler documentation, see the online Information Center


Top

Supported operating systems

For a complete list of supported operating systems, perform the following actions to produce a dynamic report:

  • Go to the web page: http://publib.boulder.ibm.com/infocenter/prodguid/v1r0/clarity/index.html.
  • Click the "Operating systems for a specific product" report.
  • In the windows "Operating systems for a specific product", fill in the field Enter a full or partial product name with the value IBM Tivoli Workload Scheduler and click Search.
  • In the Select version drop-down list, select the version 9.2 and click Submit to run the report.

Software requirements

Software requirements for Dynamic Workload Console

Table 1 lists the software requirements for each supported operating system.

Table 1: Console software requirements
Minimum required patch level Additional prerequisites
IBM AIX  
      6.1 with Service Pack 6100-00-04-0815 None
      7.1 with Service Pack 7100-00-01
Linux on x86_64  
  Red Hat Enterprise Linux, version 5 for x86_64
with update 1

For all Linux on x86 operating systems:

  • libstdc++.so.5 (Linux 32 and 64 bit kernel support).
  • libgcc_s.so.1 (Linux 32 and 64 bit kernel support).
  • libstdc++.so.6 (Linux 32 and 64 bit kernel support). They must point at least to libstdc++ library version 6.0.8.

RHEL 6 x86_64 requires the following rpms:

  • glibc-2.12-1.25.el6.i686
  • compat-libstdc++-33-3.2.3-69.el6.i68
Red Hat Enterprise Linux, version 6
Red Hat Enterprise Linux, version 6 for x86_64
SUSE Linux Enterprise Server, version 10 for x86_64
with update 1

SUSE Linux Enterprise Server, version 10 with update 1

SUSE Linux Enterprise Server, version 11  
Linux System z 64 Bit Kernel support  
  Red Hat Enterprise Linux , version 5
with Update 1

For all Linux on x86 operating systems:

  • libstdc++.so.5 (Linux 32 and 64 bit kernel support).
  • libgcc_s.so.1 (Linux 32 and 64 bit kernel support).
  • libstdc++.so.6 (Linux 32 and 64 bit kernel support). They must point at least to libstdc++ library version 6.0.8.

RHEL 6 x86_64 requires the following rpms:

  • glibc-2.12-1.25.el6.i686
  • compat-libstdc++-33-3.2.3-69.el6.i686
Red Hat Enterprise Linux, version 6
SUSE Linux Enterprise Server, version 10
with update 1
SUSE Linux Enterprise Server, version 11
Microsoft Windows x86_64  
  Server 2008 x64 Editions with SP1 None
Server 2008 R2 Editions x64
Server 2012

Software requirements for WebSphere Application Server with WebSphere SDK Java Technology Edition

All operating systems supported by Dynamic Workload Console are supported by IBM WebSphere™ Application Server, V8.5 Fix Pack 1. For more information about it, see: http://www-01.ibm.com/support/docview.wss?uid=swg27023941. In the information relating to hardware and memory requirements in this document, the application server is treated as part of Dynamic Workload Console, and its requirements are not listed separately.

Before apply the WebSphere Application Server later fixpacks ensure that they are supported also by Jazz for Service Management extension for IBM WebSphere with Dashboard Application Services Hub.

System requirements for Jazz for Service Management extension for IBM WebSphere with Dashboard Application Services Hub

See Jazz for Service Management V1.1 Fix Pack 2, extension for IBM WebSphere and Dashboard Application Services Hub requirements: http://pic.dhe.ibm.com/infocenter/tivihelp/v3r1/index.jsp?topic=%2Fcom.ibm.psc.doc_1.1.0%2Finstall%2Fpsc_c_install_prereqs.html.

Supported Browsers

Dynamic Workload Console 9.2 requires a supported Web browser. Use one of the following browsers:

  • Firefox 24 ESR
  • Internet Explorer 9.0, 10.0

    Note: To correctly work with the Graphical View, Dashboard and event management using Internet Explorer 9.0 or 10.0, you must add the host name of the Dynamic Workload Console to the web sites used in Compatibility View by Internet Explorer. To do it, from Internet Explorer toolbar, click Tools > Compatibility View Settings and add the Dynamic Workload Console host name to the list.

Supported Browsers for mobile devices

To use Dynamic Workload Console 9.2 on mobile devices, use the default browsers on the following mobile platforms:

  • iOS based devices (iPhone, iPod Touch, iPad) with iOS V6.x and V7.x
  • Android-based devices with V4.0 and V4.2.2

Software requirements for the Launchpad

The Tivoli Workload Automation Launchpad is supported on all operating systems where Tivoli Workload Scheduler components can be installed.

If you use the launchpad, it requires a supported Web browser to be launched. Alternatively, you can always install the product by using the installation wizard or the silent installation.

For the launchpad, use one of the following browsers:

  • Firefox 2.0+
  • Internet Explorer 6.0+
  • Mozilla 1.7+
  • SeaMonkey 1.1.4+

These browsers are not all available on all platforms; some of them might only be available in a special version from the manufacturer of your operating system. See Table 2 for details:

Table 2: Launchpad browsers

Operating system
Supported browsers
Download Websites and other information
AIX

Firefox, Mozilla, and SeaMonkey

Web browsers for AIX

SeaMonkey Download & Releases

On AIX 5.3 and AIX 6.1, at ML7 or later, if Firefox is installed you must run the launchpad from within a bash shell, whether you are running the launchpad on Firefox or Mozilla. However, if SeaMonkey is also installed, the bash shell is not required to use any browser.

Linux

Firefox, Mozilla, and SeaMonkey

Firefox and Thunderbird

SeaMonkey Download & Releases

Windows

Internet Explorer, Firefox, Mozilla, and SeaMonkey

Windows Internet Explorer

Firefox and Thunderbird

SeaMonkey Download & Releases

Note
This information, plus other information about how to launch the launchpad, is provided, platform by platform, in a readme.txt file in the root of the Launchpad directory on each DVD or electronic download image. However, this document contains more up-to-date information than the readme files.

Supported LDAP Servers

For a list of the LDAP servers supported by Tivoli Workload Scheduler, go to the supported software for WebSphere Application Server website, click the appropriate MDM/DWC platform link and read the LDAP servers using Federated Repository Configuration section.

Support for Internet Protocol version 6

Dynamic Workload Console supports Internet Protocol version 6 (IPv6) in addition to IPv4. To help you in the transition from an IPv4 environment to a complete IPv6 environment, Tivoli Workload Scheduler provides IP dual-stack support. The product communicates using both IPv4 and IPv6 protocols simultaneously with other applications using IPv4 or IPv6.


Topics:

Permanent disk space requirements

The values indicated in the Table 3: Disk space (MB) required the Dynamic Workload Console show the disk space required by the Dynamic Workload Console alone. For the disk space required by WebSphere Application Server with WebSphere SDK Java Technology, Jazz for Service Management extension for IBM WebSphere with Dashboard Application Services Hub or by Tivoli Workload Scheduler, refer to the relevant documentation.

Table 3: Disk space (MB) required the Dynamic Workload Console

    Table 3: Disk space (MB) required the Dynamic Workload Console
    Operating system JazzSM profile path Dynamic Workload Console installation directory
    AIX 400 100
    Linux s390 400 100
    Linux x86 64 400 100
    Windows 64 400 100

Temporary space requirements

Table 3 does not include the space requirements for the temporary installation files. These depend on the component you are installing, and are given in Table 4: Temporary disk space.

Table 4: Temporary disk space

Table 4: Temporary disk space
Operating system Dynamic Workload Console
AIX 1 GB
Linux s390 690 + 750 MB in /var/tmp
Linux x86 64 500 MB
Windows 64 1 GB

Memory requirements

Dynamic Workload Console memory requirements are:

Memory requirements for Installation Manager

Dynamic Workload Console is installed by using IBM Installation Manager. Table 5 summarizes the memory requirements (MB) indicated for running the Installation Manager in interactive or in silent mode.

Table 5: Memory Requirements to run the Installation Manager (MB)
Operating system Physical memory Temporary space
Windows 512 10
Solaris 512 10
Linux 512 10
AIX 1024 10

Note:

  • To run the Installation Manager GUI on Red Hat Enterprise Linux Server 6 (64-bit), the following operating system libraries are required:
    • libXtst+
    • compat-libstdc+
  • To run the Installation Manager GUI on AIX, ensure that the operating system has the required operating system libraries listed in the Required gtk libraries for Installation Manager on AIX

Top

© Copyright International Business Machines Corporation 1991, 2013. All rights reserved. US Government Users Restricted Rights – Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

Document information

More support for: IBM Workload Scheduler
Tivoli Dynamic Workload Console

Software version: 9.2

Operating system(s): AIX, Linux, Windows

Reference #: 7041008

Modified date: 27 February 2014